petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISRenumber

Renumbers an index set (with multiplicities) in a contiguous way.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISRenumber(IS subset, IS subset_mult, PetscInt *N, IS *subset_n)

Collective on IS

### Input Parmeters

| subset | - the index set
| subset_mult | - the multiplcity of each entry in subset (optional, can be NULL)

### Output Parameters

| N | - the maximum entry of the new IS
| subset_n | - the new IS

### See Also

### Level

intermediate

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages